View Issue Details

IDProjectCategoryView StatusLast Update
0000066CaseTalk ModelerModel Transformation (GLR)public2012-05-14 14:55
ReporterBCP Software 
Assigned ToBCP Software 
PrioritynormalSeveritymajorReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version6.12 
Target Version6.20Fixed in Version6.15 
Summary0000066: Column fixes should be set using the "prefix" method
DescriptionSetting the naming convention to the object types, does place the original object type name in role fixes. However since it also sets this as a replacefix, the GLR algorithm will stop and prompt users what to do with a possible name clash.

The name of any subtype should also be the default fix name for the single role inside it.
Additional InformationIt would be nice to also configure the default fix method. A prefix would be more convenient.
TagsNo tags attached.

Relationships

related to 0000079 resolvedBCP Software De column fix dialog can be clearer 
related to 0000083 resolvedBCP Software Solve the column name algorithm 
related to 0000072 resolvedBCP Software Role fixes are not set to preserve subtype name 

Activities

BCP Software

BCP Software

2012-05-09 12:38

administrator   ~0000050

The project options now has a preference option for it in the GLR tab.

Issue History

Date Modified Username Field Change
2012-04-27 16:41 BCP Software New Issue
2012-04-27 16:41 BCP Software Status new => assigned
2012-04-27 16:41 BCP Software Assigned To => BCP Software
2012-05-06 14:19 BCP Software Relationship added related to 0000072
2012-05-09 12:38 BCP Software Note Added: 0000050
2012-05-09 12:38 BCP Software Status assigned => resolved
2012-05-09 12:38 BCP Software Fixed in Version => 6.15
2012-05-09 12:38 BCP Software Resolution open => fixed
2012-05-14 14:53 BCP Software Relationship added related to 0000079
2012-05-14 14:55 BCP Software Relationship added related to 0000083
2016-01-20 12:56 BCP Software Category GLR => Transformation (GLR)
2016-01-20 13:00 BCP Software Category Transformation (GLR) => Model Transformation (GLR)